import { Observable } from 'rxjs';
import { Response } from '@angular/http';
import { HttpError } from '../../domain/http/http-error.model';
import { AuthService } from '../auth';
export declare class HttpErrorService {
    private authService;
    private static readonly CONTENT_TYPE;
    private static readonly JSON;
    private error;
    constructor(authService: AuthService);
    setError(error: HttpError): void;
    removeError(): HttpError;
    handle(error: Response | any, redirectIfNotAuthorised?: boolean): Observable<never>;
}
